Bug 11722 - don't work auth with ldap
: don't work auth with ldap
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ejabberd)
: unstable
: all Linux
: P1 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-08 15:16 by
Modified: 2007-11-12 00:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-08 15:16:55
The ejabberd server v 1.1.3 starts happily, but I can't authenticate. This is 
what I see in the configuration of the LDAP server:

Feb 17 22:43:08 ldap2 slapd[11213]: conn=74265 fd=12 ACCEPT from 
IP=202.83.178.90:63303 (IP=0.0.0.0:389)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74266 fd=13 ACCEPT from 
IP=202.83.178.90:49558 (IP=0.0.0.0:389)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74265 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" method=128
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74265 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" mech=SIMPLE ssf=0
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74265 op=0 RESULT tag=97 err=0 text=
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74267 fd=14 ACCEPT from 
IP=202.83.178.90:59782 (IP=0.0.0.0:389)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74266 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" method=128
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74266 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" mech=SIMPLE ssf=0
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74266 op=0 RESULT tag=97 err=0 text=
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74268 fd=16 ACCEPT from 
IP=202.83.178.90:61577 (IP=0.0.0.0:389)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74267 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" method=128
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74267 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" mech=SIMPLE ssf=0
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74267 op=0 RESULT tag=97 err=0 text=
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74265 fd=12 closed (connection lost)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74266 fd=13 closed (connection lost)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74267 fd=14 closed (connection lost)
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74268 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" method=128
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74268 op=0 BIND dn="uid=root,ou=BarNet 
Internal,o=BarNet,c=AU" mech=SIMPLE ssf=0
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74268 op=0 RESULT tag=97 err=0 text=
Feb 17 22:43:08 ldap2 slapd[11213]: conn=74268 fd=16 closed (connection lost)

patch https://forge.process-one.net/browse/ejabberd/trunk/src/eldap/
eldap.erl?r1=621&r2=680

it works

Actual Results:  
don't auth

Expected Results:  
auth
------- Comment #1 From 2007-05-15 11:43:32 -------
I have no LDAP server available to reproduce the bug.

What's the attached patch is for? Is it a fix for the problem? Have you tried 
it and have it fixed the problem?
------- Comment #2 From 2007-05-15 12:22:32 -------
Этот патч помог мне
https://forge.process-one.net/browse/ejabberd/trunk/src/eldap/
eldap.erl?r1=621&r2=680

Дело в том, что ссылка на него отображается неверно на этом сайте, обратите 
внимание на ее конец, возможно Вы перешли из за этого не на ту страницу.

До применения патча ejabberd не авторизовал через ldap, после его применения, 
т.е. смены LDAPResult на BindResponse в файле eldap.erl (строка 716) все сразу 
заработало как надо.
------- Comment #3 From 2007-05-15 12:55:47 -------
Все, понял, спасибо. Приложу в следующей сборке.
------- Comment #4 From 2007-11-12 00:55:38 -------
Я так понял, что это было
https://support.process-one.net/browse/EJAB-315

Fixed в 1.1.4, которая сейчас уходит в Сизиф.
------- Comment #5 From 2007-11-12 00:56:32 -------
Изменяю статус...